# $Revision: 1.39 $, $Date: 2008/07/27 22:44:22 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	IP
Summary:	Net::IP - Perl extension for manipulating IPv4/IPv6 addresses
Summary(pl.UTF-8):	Net::IP - rozszerzenie Perla służące do manipulacji adresami IPv4/IPv6
Name:		perl-Net-IP
Version:	1.25
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a49c0b02a9b793ff60191cdafc0c202e
Patch0:		%{name}-interpreter-path.patch
URL:		http://search.cpan.org/dist/Net-IP/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::IP Perl module provides functions to deal with IPv4/IPv6
addresses. The module can be used as a class, allowing the user to
instantiate IP objects, which can be single IP addresses, prefixes, or
ranges of addresses. There is also a procedural way of accessing most
of the functions. Most subroutines can take either IPv4 or IPv6
addresses transparently.

%description -l pl.UTF-8
Moduł Perla Net::IP zawiera funkcje operujące na adresach IPv4/IPv6.
Modułu tego można używać jako klasy umożliwiającej użytkownikowi
tworzenie obiektów IP, którymi mogą być pojedyncze adresy, prefiksy,
czy też zakresy adresów. Dostęp do większości funkcji możliwy jest
również drogą proceduralną. Większość procedur może w sposób
przezroczysty operować zarówno na adresach IPv4, jak i IPv6.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install ipcount $RPM_BUILD_ROOT%{_bindir}
install iptab $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Net/IP.pm
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-IP.spec,v $
Revision 1.39  2008/07/27 22:44:22  arekm
- release 2

Revision 1.38  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.37  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.36  2006/10/09 11:36:01  qboosh
- generic URL

Revision 1.35  2006/05/25 06:10:38  blaass
- up to 1.25 (bugfixes)

Revision 1.34  2006/04/07 21:18:08  agaran
- up to 1.24 rel1 builds here

Revision 1.33  2005/10/18 09:50:07  hawk
- release 3 (2 went to Ra)

Revision 1.32  2005/06/14 07:29:48  petec
- up to 1.23

Revision 1.31  2005/06/05 11:34:08  petec
- up to 1.22

Revision 1.30  2004/12/12 10:49:59  adamg
- updated to 1.21

Revision 1.29  2004/11/03 22:30:36  paladine
- formatting

Revision 1.28  2004/05/07 00:35:13  ankry
- rel. 3

Revision 1.27  2004/05/06 18:20:45  ankry
- fixed perl-devel BR

Revision 1.26  2004/04/27 00:28:03  ankry
- license fixes, cosmetics

Revision 1.25  2004/04/21 00:10:17  ankry
- ported to new bconds

Revision 1.24  2003/12/11 17:33:15  krzak
- interpreter-path.patch that fix path to perl in utils
- rel 2

Revision 1.23  2003/09/09 10:24:43  ankry
- spaces -> tab

Revision 1.22  2003/09/03 20:56:13  adamg
- updated to 1.20

Revision 1.21  2003/08/18 08:09:03  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.20  2003/05/28 13:00:53  malekith
- massive attack: source-md5

Revision 1.19  2003/05/25 06:24:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.17  2003/03/01 20:21:49  radek
- should be ready for perl-5.8.0; release++

Revision 1.16  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.15  2003/02/21 10:06:56  ankry
- updated to 1.16
NOTE: newer versions require perl 5.8

Revision 1.14  2003/02/18 15:37:03  ankry
- massive attack: change CPAN URLs

Revision 1.13  2002/10/28 15:44:10  ankry
- version 1.13, translations, cleaning, added tests

Revision 1.12  2002/07/14 19:36:50  ankry
- patch (now: -paths) renamed, renumbered and updated
- release 2

Revision 1.11  2002/07/12 09:04:40  qboosh
- new %%doc and cosmetics

Revision 1.10  2002/07/11 08:02:11  depesz
- new version; should work; STBR

Revision 1.9  2002/07/10 08:48:12  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.8  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.7  2002/02/25 10:33:14  depesz
cleanup; revision++

Revision 1.6  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/13 14:19:00  depesz
automatic: Source location unified, Relase Up

Revision 1.4  2002/02/12 10:26:08  kloczek
- release 2.

Revision 1.3  2002/02/10 15:40:16  depesz
adapterized

Revision 1.2  2002/02/04 15:40:28  kloczek
- adapterized.

Revision 1.1  2002/02/02 22:42:26  zagrodzki
- initial release
